Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.statistics
Class CIBTimeStatisticImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl
          com.sun.mfwk.cib.sdk.statistics.CIBTimeStatisticImpl

All Implemented Interfaces:
  CIBStatistic, CIBTimeStatistic, javax.management.j2ee.statistics.Statistic, javax.management.j2ee.statistics.TimeStatistic

public class CIBTimeStatisticImpl
extends CIBStatisticImpl
implements CIBTimeStatistic

Provides a default implementation of a CIBTimeStatistic

Constructor Summary
`CIBTimeStatisticImpl(java.lang.String name, java.lang.String description)`

Method Summary
`CIBStatistic` | `fromCompositeData(javax.management.openmbean.CompositeData data)` Returns a CIBStatistic object from a composite data
`long` | `getCount()` Get the count of the statistic object
`long` | `getMaxTime()` Get the MaxTime of the statistic object
`long` | `getMinTime()` Get the MinTime of the statistic object
`long` | `getTotalSquaredTime()` Get the toal of the squared time of the statistic object
`long` | `getTotalTime()` Get the totalTime of the statistic object
`void` | `reset()` Reset the statistic object
`void` | `setCount(long count)` Set the count on the statistic object
`void` | `setMaxTime(long maxTime)` Set the MaxTime of the statistic object
`void` | `setMinTime(long minTime)` Set the mMinTime of the statistic object
`void` | `setTotalSquaredTime(long totalSquaredTime)` Set the total of squared time of the statistic object
`void` | `setTotalTime(long totalTime)` Set the totalTime of the statistic object
`javax.management.openmbean.CompositeData` | `toCompositeData()` Returns a composite data reprenting the statistic object
`java.lang.String` | `toString()` Returns a printable statistic object

Methods inherited from class com.sun.mfwk.cib.sdk.statistics.CIBStatisticImpl
`getDescription, getLastSampleTime, getName, getStartTime, getUnit, setLastSampleTime, setStartTime`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.management.j2ee.statistics.Statistic
`getDescription, getLastSampleTime, getName, getStartTime, getUnit`

Constructor Detail

### CIBTimeStatisticImpl

    public CIBTimeStatisticImpl(java.lang.String name,
                                java.lang.String description)

Parameters:
  `name` - String
  `description` - String

Method Detail

### setCount

    public void setCount(long count)

  Set the count on the statistic object

  Parameters:
    `count` - long

### setMaxTime

    public void setMaxTime(long maxTime)

  Set the MaxTime of the statistic object

  Parameters:
    `maxTime` - long

### setMinTime

    public void setMinTime(long minTime)

  Set the mMinTime of the statistic object

  Parameters:
    `minTime` - long

### setTotalTime

    public void setTotalTime(long totalTime)

  Set the totalTime of the statistic object

  Parameters:
    `totalTime` - long

### setTotalSquaredTime

    public void setTotalSquaredTime(long totalSquaredTime)

  Set the total of squared time of the statistic object

  Parameters:
    `totalSquaredTime` - long

### getCount

    public long getCount()

  Get the count of the statistic object

  Specified by:
    `getCount` in interface `javax.management.j2ee.statistics.TimeStatistic`
  Returns:
    long

### getMaxTime

    public long getMaxTime()

  Get the MaxTime of the statistic object

  Specified by:
    `getMaxTime` in interface `javax.management.j2ee.statistics.TimeStatistic`
  Returns:
    long

### getMinTime

    public long getMinTime()

  Get the MinTime of the statistic object

  Specified by:
    `getMinTime` in interface `javax.management.j2ee.statistics.TimeStatistic`
  Returns:
    long

### getTotalTime

    public long getTotalTime()

  Get the totalTime of the statistic object

  Specified by:
    `getTotalTime` in interface `javax.management.j2ee.statistics.TimeStatistic`
  Returns:
    long

### getTotalSquaredTime

    public long getTotalSquaredTime()

  Get the toal of the squared time of the statistic object

  Specified by:
    `getTotalSquaredTime` in interface `CIBTimeStatistic`
  Returns:
    long

### toCompositeData

    public javax.management.openmbean.CompositeData toCompositeData()
                                                             throws javax.management.openmbean.OpenDataException

  Returns a composite data reprenting the statistic object

  Specified by:
    `toCompositeData` in interface `CIBStatistic`
  Returns:
    CompositeData
  Throws:
    `javax.management.openmbean.OpenDataException`

### fromCompositeData

    public CIBStatistic fromCompositeData(javax.management.openmbean.CompositeData data)

  Returns a CIBStatistic object from a composite data

  Specified by:
    `fromCompositeData` in interface `CIBStatistic`
  Parameters:
    `data` - CompositeData
  Returns:
    CIBStatistic

### reset

    public void reset()

  Reset the statistic object

  Overrides:
    `reset` in class `CIBStatisticImpl`

### toString

    public java.lang.String toString()

  Returns a printable statistic object

  Overrides:
    `toString` in class `CIBStatisticImpl`
  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD